Package org.apache.sling.feature.cpconverter.artifacts

## Interface ArtifactsDeployer

All Known Implementing Classes:
  `LocalMavenRepositoryArtifactsDeployer`

    public interface ArtifactsDeployer

SPI to deploy artifacts

### Method Summary

All Methods Instance Methods Abstract Methods
`@NotNull String` `deploy​(@NotNull ArtifactWriter artifactWriter, @Nullable String runmode, @NotNull org.apache.sling.feature.ArtifactId id)` Deploy the artifact and return information about its location

### Method Detail

#### deploy

    @NotNull
    @NotNull String deploy​(@NotNull
                           @NotNull ArtifactWriter artifactWriter,
                           @Nullable
                           @Nullable String runmode,
                           @NotNull
                           @NotNull org.apache.sling.feature.ArtifactId id)
                    throws IOException

Deploy the artifact and return information about its location

Parameters:
  `artifactWriter` - The artifact writer to use
  `runmode` - Optional runmode
  `id` - The artifact id
Returns:
  Information about the location, this is deployer specific
Throws:
  `IOException` - If deploying fails